import { select, arc } from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');
const eyeSpacing = 100;
const eyeYOffset = -90;
const smileSize = 200;

const circle = svg.append('circle');
circle
  .attr('r', height/2)	//radius
  .attr('cx', width/2)	//x location
  .attr('cy', height/2) //y location
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const leftEye = svg.append('circle');
leftEye
  .attr('r', 30)	//radius
  .attr('cx', width/2 - eyeSpacing)	//x location
  .attr('cy', height/2 + eyeYOffset) //y location
	.attr('fill', 'black');

const rightEye = svg.append('circle');
rightEye
  .attr('r', 30)	//radius
  .attr('cx', width/2 + eyeSpacing)	//x location
  .attr('cy', height/2 + eyeYOffset) //y location
	.attr('fill', 'black');

const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);
                     
const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius: smileSize - 10,
  	outerRadius: smileSize,
  	startAngle: Math.PI/2,
  	endAngle: 3*Math.PI/2
  }));